
Foreman - Bug #4350

roles need to allow email address and i18n as name

02/14/2014 09:41 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Rails   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1112657 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1648

  

Description

Unless there is a reason, roles should be capable of being named anything:

foo@bar.com

チーズ

Associated revisions

Revision 1e1c8575 - 08/15/2014 09:39 AM - Tomer Brisker

Fixes #4350 - Allow any format for role name

Revision 5d8aea80 - 08/27/2014 08:02 AM - Tomer Brisker

Fixes #4350 - Allow any format for role name

(cherry picked from commit 1e1c8575598b6efbdcf4e540fb8ae741e611e8d5)

History

#1 - 03/03/2014 01:24 PM - Anonymous

- Target version set to 1.9.0

#2 - 03/26/2014 01:31 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#3 - 04/24/2014 12:09 PM - Anonymous

- Target version deleted (1.8.4)

#4 - 06/24/2014 12:39 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112657

#5 - 08/04/2014 06:01 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1648 added

#6 - 08/04/2014 06:03 AM - Dominic Cleal

- Category set to Rails

#7 - 08/05/2014 03:22 AM - Tomer Brisker

- Assignee set to Tomer Brisker

#8 - 08/15/2014 09:44 AM - Dominic Cleal
- translation missing: en.field_release set to 10

#9 - 08/15/2014 11:02 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1e1c8575598b6efbdcf4e540fb8ae741e611e8d5.
